_css_file: main_documentation.css
audio_format_suffixes:
- mp3
- webm
- wav
- m4a
- ogg
- 3gp
- flac
copy_output_file_method: default
copy_vault_to_tempdir: true
copy_vault_to_tempdir_follow_copy: false
copy_vault_to_tempdir_method: default
embeddable_file_suffixes:
- pdf
exclude_glob:
- /.obsidian
- /.trash
- /.DS_Store
- /.git
exclude_subfolders: <DEPRECATED>
file_exports: []
html_custom_footer_inclusions: []
html_custom_inclusions: []
html_output_folder_path_str: website/public
html_template_path_str: ''
html_url_prefix: ''
included_file_suffixes:
- jpg
- jpeg
- gif
- png
- bmp
- svg
- mp4
- webm
- ogv
- mov
- mkv
- mp3
- wav
- m4a
- ogg
- 3gp
- flac
- pdf
included_folders: []
keep_module_file_versions: false
max_note_depth: -1
md_entrypoint_path_str: website/public/md/index.md
md_folder_path_str: website/public/md
md_source_host_urls: []
meta_modules_post:
- name: resource_logger
  persistent: true
module_config: {}
module_data_folder: website/public/mod
module_list:
  convert_markdown_to_html: []
  convert_note_to_markdown: []
  finalize:
  - description:
    - Creates the log of which module resources were accessed by which module
    - Requires persistent meta_module of the same name to work!
    method: finalize
    name: resource_logger
    persistent: true
  preparation:
  - description: Merges the user config with default config and runs checks.
    name: process_config
  - description: Determine all paths of interest based on input.
    name: load_paths
  - description: Fills in auto values that can be read from the vault config.
    name: process_config_auto
  - description: Prepare and export templates used to create html output.
    name: html_templater
    persistent: true
  - name: load_graphers
    persistent: true
  - description:
    - Basic file listing based on include_folder/exclude_glob combination
    - Further filtering can be done in further modules
    name: get_file_list
  - description:
    - Gets the metadata of each markdown file, and stores it under metadata/<rel_filepath>.json
    name: parse_metadata
  - description:
    - Filter out markdown files that do not comply to certain metadata requirements
    name: filter_on_metadata
  - description:
    - Copy vault to temporary directory, so that we can edit the obsidian notes themselves
      safely.
    - Must be persistent!
    name: copy_vault_to_tempdirectory
    persistent: true
navbar_links: []
obsidian_entrypoint_path_str: website/Site-Home.md
obsidian_folder_path_str: <DEPRECATED>
resolve_output_file_links: true
site_name: Home
toggles:
  allow_duplicate_filenames_in_root: true
  compile_html: true
  compile_md: true
  debug_filetree_keys: false
  external_blank: false
  features:
    backlinks:
      enabled: true
    breadcrumbs:
      enabled: false
    callouts:
      enabled: true
    code_highlight:
      enabled: true
    create_index_from_dir_structure:
      enabled: true
      exclude_files:
      - .gitignore
      - favicon.ico
      - not_created.html
      exclude_subfolders:
      - .git
      - __src
      - md
      - obs.html
      homepage_label: index
      rel_output_path: obs.html/dir_index.html
      styling:
        show_icon: true
      verbose: false
    create_index_from_tags:
      add_links_in_graph_tree: true
      enabled: false
      exclude_paths:
      - .gitignore
      homepage_label: index
      match_on_inline_tags: false
      rel_output_path: obs.html/tag_index.md
      sort:
        key_path: ''
        method: none
        none_on_bottom: true
        reverse: false
        value_prefix: ''
      styling:
        include_folder_in_link: false
      tags: []
      use_as_homepage: false
      verbose: false
    dataview:
      enabled: false
      folder: obs.html/export
    embedded_note_titles:
      enabled: true
      hide_on_h1: true
    embedded_search:
      enabled: false
    eraser:
      enabled: false
    folder_notes:
      enabled: false
      naming: folder name
      placement: outside folder
    footnote_md_extension:
      enabled: true
    graph:
      coalesce_force: '-30'
      enabled: true
      show_inclusions_in_graph: true
      styling:
        show_icon: true
      templates:
      - id: 2d
        name: 2d
        path: builtin<2d>
      - id: 3d
        name: 3d
        path: builtin<3d>
    math_latex:
      enabled: true
    mermaid_diagrams:
      enabled: true
      strip_special_chars: false
    post_processing: []
    rss:
      channel:
        description: <your description>
        language_code: en-us
        managing_editor: n/a
        title: Notes
        web_master: n/a
        website_link: <https://your website.com>
      enabled: false
      host_root: https://localhost:8000/
      items:
        description:
          selectors:
          - - yaml
            - rss:description
          - - first-paragraphs
            - 2
            - <br/><br/>
          - - first-header
            - 1
        publish_date:
          default_value: ''
          format_string: ''
          iso_formatted: true
          selectors:
          - - yaml
            - rss:publish_date
          - - yaml_strip
            - tags
            - - date/
        selector:
          exclude_files:
          - not_created.html
          - index.html
          exclude_keys: []
          exclude_subfolders:
          - .git
          - obs.html
          include_subfolders: []
          match_keys: []
        title:
          selectors:
          - - yaml
            - rss:title
          - - first-header
            - 1
          - - path
            - - parent
              - 1
            - /
            - - stem
      styling:
        show_icon: true
    search:
      add_files: true
      enabled: true
      styling:
        show_icon: true
      try_preload: false
    side_pane:
      left_pane:
        close_if_empty: false
        content_args:
          div_selector: .content
          rel_path: index.html
          strip_sub_divs:
          - .toc
          strip_tags: []
        contents: dir_tree
        enabled: true
        width: 20rem
      right_pane:
        close_if_empty: true
        content_args:
          div_selector: .content
          rel_path: index.html
          strip_sub_divs:
          - .toc
        contents: toc
        enabled: true
        width: 16rem
    smiles:
      enabled: false
      height: 300px
      theme: dark
      width: 100%
    styling:
      accent_color: 65, 76, 253
      add_dir_list: true
      add_toc: <DEPRECATED>
      flip_panes: <DEPRECATED>
      header_template: full
      layout: documentation
      loading_bg_color: 22, 22, 22
      max_note_width: 120rem
      toc_pane: <DEPRECATED>
    table_of_contents:
      add_toc_when_missing: false
      only_show_for_multiple_headers: true
    tags_page:
      enabled: true
      styling:
        show_icon: true
        show_in_note_footer: true
    theme_picker:
      enabled: true
      styling:
        show_icon: true
  force_filename_to_lowercase: true
  img_alt_text_use_figure: true
  no_clean: false
  no_tabs: true
  preserve_inline_tags: true
  process_all: false
  relative_path_html: false
  relative_path_md: true
  slugify_html_links: false
  stdout_current_file: false
  strict_line_breaks: false
  verbose_printout: false
  warn_on_skipped_file: true
  warn_on_skipped_image: true
  wrap_inclusions: false
verbosity: info
video_format_suffixes:
- mp4
- webm
- ogv
- mov
- mkv
